package com.willalp.flow.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 流程基础模型对象 hs_flow_base
 *
 * @author willalp
 * @date 2022-10-09
 */

@TableName("hs_flow_base")
public class HsFlowBase {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 模型ID */
    @Excel(name = "模型ID")
    private String modelType;

    /** 实例ID */
    @Excel(name = "实例ID")
    private String examplesId;

    /** 组ID */
    @Excel(name = "组ID")
    private String groupId;

    /** 流程模型名称 */
    @Excel(name = "流程模型名称")
    private String flowModuleName;

    /** 上一步ID */
    @Excel(name = "上一步ID")
    private String upStepId;

    /** 下一步ID */
    @Excel(name = "下一步ID")
    private String downStepId;

    /** 指定下一步ID */
    @Excel(name = "指定下一步ID")
    private String assignStepId;

    /** 是否需要审核 */
    @Excel(name = "是否需要审核")
    private String isAudit;

    /** 同意时下一步ID */
    @Excel(name = "同意时下一步ID")
    private String passTrueStepId;

    /** 拒绝时下一步ID */
    @Excel(name = "拒绝时下一步ID")
    private String passFalseStepId;

    /** 操作人userCode */
    @Excel(name = "操作人userCode")
    private String operator;

    /** 条件组件ID */
    @Excel(name = "条件组件ID")
    private String termModuleId;

    /** 会签ID */
    @Excel(name = "会签ID")
    private String countersignId;

    /**
     * 抄送ID
     */
    @Excel(name = "抄送ID")
    private String ccId;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setModelType(String modelType) {
        this.modelType = modelType;
    }

    public String getModelType() {
        return modelType;
    }

    public void setExamplesId(String examplesId) {
        this.examplesId = examplesId;
    }

    public String getExamplesId() {
        return examplesId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setFlowModuleName(String flowModuleName) {
        this.flowModuleName = flowModuleName;
    }

    public String getFlowModuleName() {
        return flowModuleName;
    }

    public void setUpStepId(String upStepId) {
        this.upStepId = upStepId;
    }

    public String getUpStepId() {
        return upStepId;
    }

    public void setDownStepId(String downStepId) {
        this.downStepId = downStepId;
    }

    public String getDownStepId() {
        return downStepId;
    }

    public void setAssignStepId(String assignStepId) {
        this.assignStepId = assignStepId;
    }

    public String getAssignStepId() {
        return assignStepId;
    }

    public void setIsAudit(String isAudit) {
        this.isAudit = isAudit;
    }

    public String getIsAudit() {
        return isAudit;
    }

    public void setPassTrueStepId(String passTrueStepId) {
        this.passTrueStepId = passTrueStepId;
    }

    public String getPassTrueStepId() {
        return passTrueStepId;
    }

    public void setPassFalseStepId(String passFalseStepId) {
        this.passFalseStepId = passFalseStepId;
    }

    public String getPassFalseStepId() {
        return passFalseStepId;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOperator() {
        return operator;
    }

    public void setTermModuleId(String termModuleId) {
        this.termModuleId = termModuleId;
    }

    public String getTermModuleId() {
        return termModuleId;
    }

    public void setCountersignId(String countersignId) {
        this.countersignId = countersignId;
    }

    public String getCountersignId() {
        return countersignId;
    }

    public String getCcId() {
        return ccId;
    }

    public void setCcId(String ccId) {
        this.ccId = ccId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("modelType", getModelType())
                .append("examplesId", getExamplesId())
                .append("groupId", getGroupId())
                .append("flowModuleName", getFlowModuleName())
                .append("upStepId", getUpStepId())
                .append("downStepId", getDownStepId())
                .append("assignStepId", getAssignStepId())
                .append("isAudit", getIsAudit())
                .append("passTrueStepId", getPassTrueStepId())
                .append("passFalseStepId", getPassFalseStepId())
                .append("operator", getOperator())
                .append("termModuleId", getTermModuleId())
                .append("countersignId", getCountersignId())
                .toString();
    }
}
